'''
Created on Mar-06-2024

@author: bthakur
'''

import os
import codecs
import inspect
import traceback
import random

from xv.util import UtilClass


# _probability_helper
# ProbabilityHelper

# _probability_helper
# ProbabilityHelper


class ProbabilityHelper(UtilClass):
    
    def __init__(self, **kwargs):
        super().__init__(**kwargs)

        self._probability_intro_helper = None
        
        self._kwargs = kwargs
        pass

            

    def get_probability_intro_helper(self):
        if self._probability_intro_helper is None:
            self._init_probability_intro_helper(**self._kwargs)
        return self._probability_intro_helper
        pass

    def _init_probability_intro_helper(self, **kwargs):  
        from ._probability_intro_helper import ProbabilityIntroHelper
        self._probability_intro_helper = ProbabilityIntroHelper(**kwargs) 
        pass

   
    pass
#class ProbabilityHelper:
